## Apache Zeta Components Manual :: Docs For Class ezcMvcResponseFilter

### MvcTools::ezcMvcResponseFilter

### Interface ezcMvcResponseFilter

A response filter is responsible for altering the response object.

Source for this file: /MvcTools/src/interfaces/response_filter.php

Version: | //autogentag//

### Method Summary

public void | `filterResponse( $response )` Alters the response object.
public void | `setOptions( $options )` Sets options on the filter object

### Methods

#### filterResponse

void filterResponse( ezcMvcResponse $response )

Alters the response object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$response` | ezcMvcResponse | Response object to alter.

#### setOptions

void setOptions( $options )

Sets options on the filter object

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array |

##### Exceptions:

Type | Description
--- | ---
`ezcMvcFilterHasNoOptionsException` | if the filter does not support options.

Documentation generated by phpDocumentor 1.4.3